# Interface methods for submodule: IntensityWindowingImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: IntensityWindowingImageFilter
class IntensityWindowingImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetFunctor(self):
		""""""
		...

	def SetFunctor(self, functor) -> None:
		""""""
		...

	@overload
	def SetOutputMinimum(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetOutputMinimum(self, _arg: int) -> None:
		""""""
		...

	@overload
	def SetOutputMaximum(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetOutputMaximum(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetOutputMinimum(self) -> float:
		""""""
		...

	@overload
	def GetOutputMinimum(self) -> int:
		""""""
		...

	@overload
	def GetOutputMaximum(self) -> float:
		""""""
		...

	@overload
	def GetOutputMaximum(self) -> int:
		""""""
		...

	@overload
	def SetWindowMinimum(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetWindowMinimum(self, _arg: int) -> None:
		""""""
		...

	@overload
	def SetWindowMaximum(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetWindowMaximum(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetWindowMinimum(self) -> float:
		""""""
		...

	@overload
	def GetWindowMinimum(self) -> int:
		""""""
		...

	@overload
	def GetWindowMaximum(self) -> float:
		""""""
		...

	@overload
	def GetWindowMaximum(self) -> int:
		""""""
		...

	@overload
	def SetWindowLevel(self, window: float, level: float) -> None:
		""""""
		...

	@overload
	def SetWindowLevel(self, window: int, level: int) -> None:
		""""""
		...

	@overload
	def GetWindow(self) -> float:
		""""""
		...

	@overload
	def GetWindow(self) -> int:
		""""""
		...

	@overload
	def GetLevel(self) -> float:
		""""""
		...

	@overload
	def GetLevel(self) -> int:
		""""""
		...

	def GetScale(self) -> float:
		""""""
		...

	def GetShift(self) -> float:
		""""""
		...

	def BeforeThreadedGenerateData(self) -> None:
		""""""
		...

